aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libsass/APKBUILD
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-10-13 01:03:07 +0200
committerJakub Jirutka <jakub@jirutka.cz>2016-10-13 01:07:01 +0200
commit8a48bc5857d2b62021a2e60bc742f819ae0913af (patch)
tree56086733f051879fa8212ccdc590b9d51fcd6543 /testing/libsass/APKBUILD
parentaf1dad31f635ba27e6f602413ad335f995243e52 (diff)
downloadaports-8a48bc5857d2b62021a2e60bc742f819ae0913af.tar.gz
aports-8a48bc5857d2b62021a2e60bc742f819ae0913af.tar.bz2
aports-8a48bc5857d2b62021a2e60bc742f819ae0913af.tar.xz
testing/libsass: improve abuild
Diffstat (limited to 'testing/libsass/APKBUILD')
-rw-r--r--testing/libsass/APKBUILD24
1 files changed, 10 insertions, 14 deletions
diff --git a/testing/libsass/APKBUILD b/testing/libsass/APKBUILD
index 548acb7477..6ad4b0b4e5 100644
--- a/testing/libsass/APKBUILD
+++ b/testing/libsass/APKBUILD
@@ -8,26 +8,21 @@ url="http://libsass.org"
arch="all"
license="MIT"
depends=""
-depends_dev=""
-makedepends="$depends_dev autoconf automake libtool"
-install=""
+makedepends="autoconf automake libtool"
subpackages="$pkgname-dev"
-source="libsass-$pkgver.tar.gz::https://github.com/sass/libsass/archive/$pkgver.tar.gz"
+source="$pkgname-$pkgver.tar.gz::https://github.com/sass/$pkgname/archive/$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
-_builddir="$srcdir"/libsass-$pkgver
prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+ default_prepare || return 1
+
+ cd "$builddir"
autoreconf -vif
}
build() {
- cd "$_builddir"
+ cd "$builddir"
+
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -38,7 +33,8 @@ build() {
}
package() {
- cd "$_builddir"
+ cd "$builddir"
+
make install DESTDIR="$pkgdir" || return 1
rm -f "$pkgdir"/usr/lib/*.la
}